Redmine - Feature #13329

Ruby 2.0 support
2013-03-01 09:03 - Jean-Philippe Lang

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version: 2.3.0

Resolution: Fixed

Description

Related issues:

Related to Redmine - Defect #13327: SystemStackError (stack level too deep): Closed
Related to Redmine - Patch #13338: Remove "warning: class variable access fro... Closed

Associated revisions

Revision 11488 - 2013-02-26 12:41 - Toshi MARUYAMA
Ruby2.0: add "require 'yamlI" to Gemfile

On ruby 2.0.0p0 (2013-02-24 revision 39474) [x86_64-linux]:

$ ruby script/about

There was an error in your Gemfile, and Bundler cannot continue.

Revision 11497 - 2013-02-28 19:47 - Jean-Philippe Lang

Fixed that #reload raises a Stack too deep error with ruby 2.0.

Revision 11506 - 2013-03-01 09:57 - Jean-Philippe Lang

Regexp not working as expected with ruby 2.0.

Revision 11507 - 2013-03-01 10:01 - Jean-Philippe Lang
Test failure with ruby 2.0.

Revision 11527 - 2013-03-03 11:25 - Toshi MARUYAMA

Ruby2.0: remove "warning: class variable access from toplevel" in lib/plugins/rfpdf/lib/tcpdf.rb (#13338, #13329)

Contributed by Jun NAITOH.

Revision 11533 - 2013-03-03 13:10 - Toshi MARUYAMA
Merged r11527 from trunk to 2.3-stable (#13338, #13329)

Ruby?2.0: remove "warning: class variable access from toplevel" in lib/plugins/rfpdf/lib/tcpdf.rb.

Contributed by Jun NAITOH.

Revision 11574 - 2013-03-09 11:59 - Jean-Philippe Lang
Merged r11497 from trunk (#13329).

Revision 11575 - 2013-03-09 12:00 - Jean-Philippe Lang
Merged r11506 from trunk (#13329).

Revision 11576 - 2013-03-09 12:01 - Jean-Philippe Lang
Merged r11507 from trunk (#13329).
History

#1 - 2013-03-01 13:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.3.0

- Resolution set to Fixed

Ruby 2.0.0 added to the Cl server.

#2 - 2013-03-01 17:27 - Jean-Philippe Lang

- Status changed from Closed to Resolved

To be merged in 2.3-stable.

#3 - 2013-03-10 19:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#4 - 2013-03-19 10:40 - Etienne Massip

Please note that Redmine doesn't work with Ruby 2.0.0 under Windows for now because of numerous gem incompatibilities when gems bundle
binaries compiled against specific Ruby versions and not 2.0.

Observed with sqlite3 and freetds gems.
This should be stated in documentation.

#5 - 2013-06-26 01:06 - Matt Connolly

Etienne, did you upgrade from ruby 1.9.3? Ruby 2.0.0 has a new binary interface for extensions, so upgrading from 1.9.3 to 2.0.0 will require any
gems with extensions to have those extensions recompiled.

#6 - 2013-06-26 13:55 - Etienne Massip

Matt Connolly wrote:
Etienne, did you upgrade from ruby 1.9.3? Ruby 2.0.0 has a new binary interface for extensions, so upgrading from 1.9.3 to 2.0.0 will require any
gems with extensions to have those extensions recompiled.

That is true for sqlite3 indeed; as for SQL Server | was pretty sure | got errors from a fresh install on a 32 bit OS but it's been a while now and | don't

remember well.

If you got success running Redmine 2.3.x with SQL Server on Windows, you can fix the guide or let me know and I'll remove the warning.
